package com.example.wtf.model;

import jakarta.persistence.*;

import java.time.LocalDateTime;


@Entity
public class Commentary {
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private @Id Long id;

    @ManyToOne(cascade = CascadeType.ALL)
    private User user;

    @ManyToOne(cascade = CascadeType.ALL)
    private Quote quote;

    private String comment;

    private LocalDateTime dateC;

    public Commentary() {
    }

    public Commentary(User user, Quote quote, String comment, LocalDateTime dateC) {
        this.user = user;
        this.quote = quote;
        this.comment = comment;
        this.dateC = dateC;
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Quote getQuote() {
        return quote;
    }

    public void setQuote(Quote quote) {
        this.quote = quote;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public LocalDateTime getDateC() {
        return dateC;
    }

    public void setDateC(LocalDateTime dateC) {
        this.dateC = dateC;
    }
}
