package com.example.wtf.model;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Quote {

    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private @Id Long id;

    private String content;

    private Integer likes;

    private String language;

    private Boolean isValid;

    private String reason;

    @ManyToOne(cascade = CascadeType.ALL)
    private Character character;

    @ManyToOne(cascade = CascadeType.ALL)
    private Source source;

    @ManyToOne(cascade = CascadeType.ALL)
    private User userVerif;
    
    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    
    public String getContent() { return content; }
    public void setContent(String content) { this.content = content; }
    
    public Integer getLikes() { return likes; }
    public void setLikes(Integer likes) { this.likes = likes; }
    
    public String getLanguage() { return language; }
    public void setLanguage(String language) { this.language = language; }
    
    public Boolean getIsValid() { return isValid; }
    public void setIsValid(Boolean isValid) { this.isValid = isValid; }
    
    public String getReason() { return reason; }
    public void setReason(String reason) { this.reason = reason; }
    
    public Character getCharacter() { return character; }
    public void setCharacter(Character character) { this.character = character; }
    
    public Source getSource() { return source; }
    public void setSource(Source source) { this.source = source; }
    
    public User getUserVerif() { return userVerif; }
    public void setUserVerif(User userVerif) { this.userVerif = userVerif; }

}
